# Uses of Enum Class
org.eclipse.emf.cdo.explorer.checkouts.CDOCheckout.State

Packages that use CDOCheckout.State
Package
Description
org.eclipse.emf.cdo.explorer.checkouts
Interfaces for working with `checkouts`.

## Uses of CDOCheckout.State in org.eclipse.emf.cdo.explorer.checkouts

Methods in org.eclipse.emf.cdo.explorer.checkouts that return CDOCheckout.State
Modifier and Type
Method
Description
`CDOCheckout.State`
CDOCheckoutManager.CheckoutStateEvent.`getNewState()`
`CDOCheckout.State`
CDOCheckoutManager.CheckoutStateEvent.`getOldState()`
`CDOCheckout.State`
CDOCheckout.`getState()`
`static CDOCheckout.State`
CDOCheckout.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCheckout.State[]`
CDOCheckout.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.